---
apiVersion: apps/v1 # for versions before 1.9.0 use apps/v1beta2
kind: Deployment
metadata:
  name: idliveface-server-deployment
spec:
  selector:
    matchLabels:
      app: idliveface-server
  replicas: 1
  template:
    metadata:
      labels:
        app: idliveface-server
    spec:
      containers:
        - name: idliveface-server
          image: 367672406076.dkr.ecr.eu-central-1.amazonaws.com/facesdk/idface-server-prod:1.46.0
          ports:
            - containerPort: 8080
          env:
            - name: "S3_TOKEN"
              value: "****************"
            - name: "S3_SECRET"
              value: "***********************"
            - name: "S3_REGION"
              value: "us-east-1"
            - name: "S3_BUCKET"
              value: "mybucket"
            - name: "S3_PATH"
              value: "mypath"
            - name: "LOGSTASH_HOST"
              value: "myhost"
            - name: "LOGSTASH_PORT"
              value: "5959"
            - name: "SERVER_ALLOW_CORS"
              value: "true"
